Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.replication.testing
Class ReplicationRegrTest

    java.lang.Object
      rice.p2p.commonapi.testing.CommonAPITest
          rice.p2p.replication.testing.ReplicationRegrTest

public class ReplicationRegrTest
extends CommonAPITest

Version:
  $Id: ReplicationRegrTest.java 2844 2005-12-15 13:07:05Z jeffh $
Author:
  Alan Mislove

Nested Class Summary
`protected class` | `ReplicationRegrTest.TestReplicationClient` DESCRIBE THE CLASS

Field Summary
`protected ReplicationRegrTest.TestReplicationClient[]` | `clients` The clients
`static java.lang.String` | `INSTANCE` the instance name to use
`static int` | `REPLICATION_FACTOR` The replication factor to use
`protected ReplicationImpl[]` | `replications` the replication impls in the ring

Fields inherited from class rice.p2p.commonapi.testing.CommonAPITest
`BOOTSTRAP, BOOTSTRAP_PORT, environment, factory, FACTORY, FAILURE, idFactory, INSTANCE_NAME, logger, nodes, NUM_NODES, PAD_SIZE, params, PORT, PROTOCOL, PROTOCOL_DIRECT, simulator, SIMULATOR, SIMULATOR_EUCLIDEAN, SIMULATOR_SPHERE, SUCCESS`

Constructor Summary
`ReplicationRegrTest(Environment env)` Constructor which sets up all local variables

Method Summary
`static void` | `main(java.lang.String[] args)` Usage: ReplicationRegrTest [-port p] [-bootstrap host[:port]] [-nodes n] [-protocol (rmi|wire)] [-help]
`protected void` | `processNode(int num, Node node)` Method which should process the given newly-created node
`void` | `runMaintenance()` DESCRIBE THE METHOD
`protected void` | `runTest()` Method which should run the test - this is called once all of the nodes have been created and are ready.
`void` | `testBasic()` Tests basic functionality
`void` | `testMaintenance()` Tests maintenance functionality

Methods inherited from class rice.p2p.commonapi.testing.CommonAPITest
`assertEquals, assertTrue, createNode, createNodes, getBootstrap, kill, parseArgs, pause, sectionDone, sectionStart, simulate, start, stepDone, stepDone, stepDone, stepException, stepStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### replications

    protected ReplicationImpl[] replications

  the replication impls in the ring

### clients

    protected ReplicationRegrTest.TestReplicationClient[] clients

  The clients

### REPLICATION_FACTOR

    public static int REPLICATION_FACTOR

  The replication factor to use

### INSTANCE

    public static java.lang.String INSTANCE

  the instance name to use

Constructor Detail

### ReplicationRegrTest

    public ReplicationRegrTest(Environment env)
                        throws java.io.IOException

  Constructor which sets up all local variables

Parameters:
  `env` - DESCRIBE THE PARAMETER
Throws:
  `java.io.IOException` - DESCRIBE THE EXCEPTION

Method Detail

### processNode

    protected void processNode(int num,
                               Node node)

  Method which should process the given newly-created node

  Specified by:
    `processNode` in class `CommonAPITest`
  Parameters:
    `node` - The newly created node
    `num` - The number of this node

### runTest

    protected void runTest()

  Method which should run the test - this is called once all of the nodes have been created and are ready.

  Specified by:
    `runTest` in class `CommonAPITest`

### testBasic

    public void testBasic()

  Tests basic functionality

### testMaintenance

    public void testMaintenance()

  Tests maintenance functionality

### runMaintenance

    public void runMaintenance()

  DESCRIBE THE METHOD

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Usage: ReplicationRegrTest [-port p] [-bootstrap host[:port]] [-nodes n] [-protocol (rmi|wire)] [-help]

  Parameters:
    `args` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.